@InternalApi

# Package org.firebirdsql.gds.ng.wire.crypt

SPI for Firebird wire protocol encryption plugins for the wire protocol implementation, and supporting classes.

NOTE: This SPI is currently only internal to Jaybird, consider the API as unstable.

Since:
  4

Interface Summary
CryptSessionConfig: Interface for the encryption/decryption session config for wire protocol encryption for a specific plugin.
EncryptionPlugin: Plugin for Firebird wire encryption.
EncryptionPluginSpi: Service provider interface for wire encryption plugins.

Class Summary
EncryptionIdentifier: Identifier of an encryption type + plugin.
EncryptionInitInfo: The initial initialization information of an encryption plugin.
KnownServerKey: Class to hold server keys known to the client.
KnownServerKey.PluginSpecificData: Class to hold plugin specific data.

Enum Summary
EncryptionInitInfo.InitResult

Exception Summary
FBSQLEncryptException: Exception that indicates encryption could not be initialized.